org.tartarus.snowball

## Class SnowballProgram

- java.lang.Object
- - org.tartarus.snowball.SnowballProgram

- Direct Known Subclasses:
    DanishStemmer, DutchStemmer, EnglishStemmer, FinnishStemmer, FrenchStemmer, German2Stemmer, GermanStemmer, HungarianStemmer, ItalianStemmer, KpStemmer, LovinsStemmer, NorwegianStemmer, PorterStemmer, PortugueseStemmer, RomanianStemmer, RussianStemmer, SpanishStemmer, SwedishStemmer, TurkishStemmer

      public abstract class SnowballProgram
      extends java.lang.Object

  This is the rev 500 of the Snowball SVN trunk, but modified: made abstract and introduced abstract method stem to avoid expensive

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bra`
    `protected java.lang.StringBuffer` | `current`
    `protected int` | `cursor`
    `protected int` | `ket`
    `protected int` | `limit`
    `protected int` | `limit_backward`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SnowballProgram()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.StringBuffer` | `assign_to(java.lang.StringBuffer s)`
    `protected void` | `copy_from(SnowballProgram other)`
    `protected boolean` | `eq_s_b(int s_size, java.lang.String s)`
    `protected boolean` | `eq_s(int s_size, java.lang.String s)`
    `protected boolean` | `eq_v_b(java.lang.StringBuffer s)`
    `protected boolean` | `eq_v(java.lang.StringBuffer s)`
    `protected int` | `find_among_b(Among[] v, int v_size)`
    `protected int` | `find_among(Among[] v, int v_size)`
    `java.lang.String` | `getCurrent()` Get the current string.
    `protected boolean` | `in_grouping_b(char[] s, int min, int max)`
    `protected boolean` | `in_grouping(char[] s, int min, int max)`
    `protected boolean` | `in_range_b(int min, int max)`
    `protected boolean` | `in_range(int min, int max)`
    `protected void` | `insert(int c_bra, int c_ket, java.lang.String s)`
    `protected void` | `insert(int c_bra, int c_ket, java.lang.StringBuffer s)`
    `protected boolean` | `out_grouping_b(char[] s, int min, int max)`
    `protected boolean` | `out_grouping(char[] s, int min, int max)`
    `protected boolean` | `out_range_b(int min, int max)`
    `protected boolean` | `out_range(int min, int max)`
    `protected int` | `replace_s(int c_bra, int c_ket, java.lang.String s)`
    `void` | `setCurrent(java.lang.String value)` Set the current string.
    `protected void` | `slice_check()`
    `protected void` | `slice_del()`
    `protected void` | `slice_from(java.lang.String s)`
    `protected void` | `slice_from(java.lang.StringBuffer s)`
    `protected java.lang.StringBuffer` | `slice_to(java.lang.StringBuffer s)`
    `abstract boolean` | `stem()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### current

          protected java.lang.StringBuffer current

    - #### cursor

          protected int cursor

    - #### limit

          protected int limit

    - #### limit_backward

          protected int limit_backward

    - #### bra

          protected int bra

    - #### ket

          protected int ket

  - ### Constructor Detail

    - #### SnowballProgram

          protected SnowballProgram()

  - ### Method Detail

    - #### stem

          public abstract boolean stem()

    - #### setCurrent

          public void setCurrent(java.lang.String value)

      Set the current string.

    - #### getCurrent

          public java.lang.String getCurrent()

      Get the current string.

    - #### copy_from

          protected void copy_from(SnowballProgram other)

    - #### in_grouping

          protected boolean in_grouping(char[] s,
                                        int min,
                                        int max)

    - #### in_grouping_b

          protected boolean in_grouping_b(char[] s,
                                          int min,
                                          int max)

    - #### out_grouping

          protected boolean out_grouping(char[] s,
                                         int min,
                                         int max)

    - #### out_grouping_b

          protected boolean out_grouping_b(char[] s,
                                           int min,
                                           int max)

    - #### in_range

          protected boolean in_range(int min,
                                     int max)

    - #### in_range_b

          protected boolean in_range_b(int min,
                                       int max)

    - #### out_range

          protected boolean out_range(int min,
                                      int max)

    - #### out_range_b

          protected boolean out_range_b(int min,
                                        int max)

    - #### eq_s

          protected boolean eq_s(int s_size,
                                 java.lang.String s)

    - #### eq_s_b

          protected boolean eq_s_b(int s_size,
                                   java.lang.String s)

    - #### eq_v

          protected boolean eq_v(java.lang.StringBuffer s)

    - #### eq_v_b

          protected boolean eq_v_b(java.lang.StringBuffer s)

    - #### find_among

          protected int find_among(Among[] v,
                                   int v_size)

    - #### find_among_b

          protected int find_among_b(Among[] v,
                                     int v_size)

    - #### replace_s

          protected int replace_s(int c_bra,
                                  int c_ket,
                                  java.lang.String s)

    - #### slice_check

          protected void slice_check()

    - #### slice_from

          protected void slice_from(java.lang.String s)

    - #### slice_from

          protected void slice_from(java.lang.StringBuffer s)

    - #### slice_del

          protected void slice_del()

    - #### insert

          protected void insert(int c_bra,
                                int c_ket,
                                java.lang.String s)

    - #### insert

          protected void insert(int c_bra,
                                int c_ket,
                                java.lang.StringBuffer s)

    - #### slice_to

          protected java.lang.StringBuffer slice_to(java.lang.StringBuffer s)

    - #### assign_to

          protected java.lang.StringBuffer assign_to(java.lang.StringBuffer s)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.